<?php

/*************************************************************
*  TorrentFlux PHP Torrent Manager - Windows Version
*  www.torrentflux.com
**************************************************************/
/*
    This file is part of TorrentFlux (Windows Version).

    TorrentFlux is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    TorrentFlux is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TorrentFlux; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/**************************************************************************/
// Define the PATH where the downloads will go (note that it ends with a / [slash])
// Note this can be anywhere (not where TorrentFlux is installed)
// must be chmod'd to 777 (DO NOT MAKE THIS THE PATH TO YOUR PHP FILES!)

// Windows notes: use this format!    c:/dir/

$cfg["path"] = "c:/downloads/";

/**************************************************************************/

/**************************************************************************/
// YOUR DATABASE CONNECTION INFORMATION
/**************************************************************************/

$cfg["db_host"] = "localhost";   // DB host computer name or IP
$cfg["db_name"] = "torrentflux"; // Name of the Database
$cfg["db_user"] = "user";        // username for your MySQL database
$cfg["db_pass"] = "pass";    // password for database

/**************************************************************************/

// Specify the path to the binaries located in binaries.zip
// Set this to your downloader.exe is located
// Windows notes: i.e.  c:/binaries/

$cfg["btbindir"] = "C:/binaries/";

// Specify the downloader file name
// Windows notes: Set this to i.e. downloader.exe

$cfg["btphpbin"] = "downloader.exe";

// Extra Commandline options for btphpdownload if you want to override the defaults for BitTorrent
// i.e. "--max_upload_rate 10 --max_uploads 4"
$cfg["cmd_options"] = "--max_upload_rate 10 --max_uploads 4";

// Specify the showmetainfo file name
// Windows notes: Set this to i.e. showmetainfo.exe
$cfg["btshowmetainfo"] = "showmetainfo.exe";

// Specify the letters of the drives to be shown by WebShot2 (system information/Win only)
// i.e. array("c","d","e") for drives c:\ d:\ and e:\

// Enable the Suprnova.org Search Form on Home Page
$cfg["enable_search"] = true;

$cfg["webshotdrives"] = array("c");

$cfg["pagetitle"] = "TorrentFlux";

$cfg['days_to_keep'] = 15;	// days to keep audit actions in DB.
$cfg['minutes_to_keep'] = 3;	// minutes to keep user online status.

$cfg["page_refresh"] = "60";  // number of seconds before the page will refresh

// default theme
$cfg["default_theme"] = "matrix";

// default language file -- check the language folder for your language
// if you want to contribute a language file : http://www.torrentflux.com/contact.php
$cfg["default_language"] = "lang-english.php";

// Email Options
$cfg["use_email"] = false;
$cfg["adminemail"] = "nobody@home.com";

// Restrict torrent file size for upload
$cfg["max_upload"] = 1000000;  // 1000000 is 1MB
$cfg["min_upload"] = 0;

// Add file extensions here that you will allow to be uploaded
$cfg["file_types_array"] = array("torrent");

// Do you want the BitTorrent to shutdown when download is complete?
// Please keep your torrents open!
// Must be "True" or "False" -- Case sensative
$cfg["torrent_dies_when_done"] = "False";

// Defualt value for hiding offline users on home page
// Can be set per user in their profile
$cfg["hide_offline"] = false;







// ***************************************************************************
// ***************************************************************************
// DO NOT Edit below this line unless you know what you're doing.
// ***************************************************************************
// ***************************************************************************

// TorrentFlux Version
$cfg["version"] = "1.3-win";

// CONSTANTS
$cfg["constants"] = array();
$cfg["constants"]["url_upload"] = "URL Upload";
$cfg["constants"]["start_torrent"] = "Started Torrent";
$cfg["constants"]["access_denied"] = "ACCESS DENIED";
$cfg["constants"]["delete_torrent"] = "Delete Torrent";
$cfg["constants"]["fm_delete"] = "File Manager Delete";
$cfg["constants"]["kill_torrent"] = "Kill Torrent";
$cfg["constants"]["file_upload"] = "File Upload";
$cfg["constants"]["error"] = "ERROR";
$cfg["constants"]["hit"] = "HIT";

asort($cfg["constants"]);


// Capture username
$cfg["user"] = $_SERVER['PHP_AUTH_USER'];
$cfg["password"] = $_SERVER['PHP_AUTH_PW'];
// Capture ip
$cfg["ip"] = $_SERVER['REMOTE_ADDR'];

$cfg["theme"] = $cfg["default_theme"];

$cfg["language_file"] = $cfg["default_language"];

// Path to where the torrent meta files will be stored... usually a sub of $cfg["path"]
// also, not the '.' to make this a hiddent directory
$cfg["torrent_file_path"] = $cfg["path"].".torrents/";

// Register Globals for those that don't have it set to on
if (!ini_get("register_globals"))
{
    import_request_variables('GPC');
}

?>
